# iap_start_workflow – Start a workflow in the Itential Automation Platform

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This will start a specified workflow in the Itential Automation Platform with given arguments.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string / required | Default: null | Provide the description for the workflow

https
boolean

Choices:
- no ←
- yes

Use HTTPS to connect
By default using http

iap_fqdn string / required | Default: null | Provide the fqdn for the Itential Automation Platform
iap_port string / required | Default: null | Provide the port number for the Itential Automation Platform
token_key string / required | Default: null | Token key generated by iap_token module for the Itential Automation Platform

validate_certs
boolean

Choices:
- no ←
- yes

If `no`, SSL certificates for the target url will not be validated. This should only be used on personally controlled sites using self-signed certificates.

variables dictionary / required | Default: null | Provide the values to the job variables
workflow_name string / required | Default: null | Provide the workflow name

## Examples

    - name: Start a workflow in the Itential Automation Platform
      iap_start_workflow:
        iap_port: 3000
        iap_fqdn: localhost
        token_key: "DFSFSFHFGFGF[DSFSFAADAFASD%3D"
        workflow_name: "RouterUpgradeWorkflow"
        description: "OS-Router-Upgrade"
        variables: {"deviceName":"ASR9K"}
      register: result

    - debug: var=result

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | The msg will contain the error code or status of the workflow
response dictionary | always | The result contains the response from the call

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Itential (@cma0) <opensource@itential.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.